%define lname	inotifytools
%define rel	6
%define major	0

%define libname	%mklibname %lname %major
%define devname	%mklibname %lname -d

Summary:	Simple interface to inotify
Name:		inotify-tools
Version:	3.14
Release:	%mkrel %{rel}
URL:		http://inotify-tools.sourceforge.net/
Source:		http://downloads.sourceforge.net/inotify-tools/inotify-tools-%{version}.tar.gz
License:	LGPLv2+
Group:		File tools
BuildRequires:	doxygen

%description
This is a package of some commandline utilities relating to inotify.

The general purpose of this package is to allow inotify's features
to be used from within shell scripts.  Read the man pages for
further details.

%package -n	%{libname}
Summary:	Inotify interface library
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libinotifytools.

%package -n	%{devname}
Summary:	Development files for inotifytools
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{lname}-devel = %{version}-%{release}

%description -n	%{devname}
Development files for inotifytools.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std
mv %{buildroot}%{_docdir}/%{name} api

%files
%doc README
%{_bindir}/inotifywait
%{_bindir}/inotifywatch
%{_mandir}/man1/inotifywait.1*
%{_mandir}/man1/inotifywatch.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS api
%{_includedir}/inotifytools
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so





%changelog
* Tue Feb 02 2016 umeabot <umeabot> 3.14-6.mga6
+ Revision: 931674
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.14-5.mga5
+ Revision: 745287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.14-4.mga5
+ Revision: 680522
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.14-3.mga4
+ Revision: 506087
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.14-2.mga3
+ Revision: 354413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 anssi <anssi> 3.14-1.mga1
+ Revision: 20146
- new version
- remove old scripts
- fix license tag to adhere to policy
- imported package inotify-tools


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 3.13-4mdv2011.0
+ Revision: 619633
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 3.13-3mdv2010.0
+ Revision: 429512
- rebuild

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 3.13-2mdv2009.0
+ Revision: 217205
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Anssi Hannula <anssi@mandriva.org> 3.13-2mdv2008.1
+ Revision: 141085
- more devel provides

* Thu Jan 03 2008 Anssi Hannula <anssi@mandriva.org> 3.13-1mdv2008.1
+ Revision: 140931
- initial Mandriva release

